Package org.springframework.security.web.csrf

# Interface CsrfTokenRequestResolver

All Known Subinterfaces:
  `CsrfTokenRequestHandler`

All Known Implementing Classes:
  `CsrfTokenRequestAttributeHandler`, `XorCsrfTokenRequestAttributeHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface CsrfTokenRequestResolver
Implementations of this interface are capable of resolving the token value of a `CsrfToken` from the provided `HttpServletRequest`. Used by the `CsrfFilter`.

Since:
  5.8
See Also:
  - `CsrfTokenRequestAttributeHandler`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveCsrfTokenValue(jakarta.servlet.http.HttpServletRequest request, CsrfToken csrfToken)`
Returns the token value resolved from the provided `HttpServletRequest` and `CsrfToken` or `null` if not available.

## Method Details

### resolveCsrfTokenValue

String resolveCsrfTokenValue(jakarta.servlet.http.HttpServletRequest request, CsrfToken csrfToken)
Returns the token value resolved from the provided `HttpServletRequest` and `CsrfToken` or `null` if not available.

Parameters:
  `request` - the `HttpServletRequest` being processed
  `csrfToken` - the `CsrfToken` created by the `CsrfTokenRepository`
Returns:
  the token value resolved from the request